/*
 * URL Shortener API
 * This API is responsible of authetication and the creation, modification and deletion of uris and hooks.
 *
 * OpenAPI spec version: 0.2.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.9
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD.
    define(['expect.js', '../../src/index'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    factory(require('expect.js'), require('../../src/index'));
  } else {
    // Browser globals (root is window)
    factory(root.expect, root.UrlShortenerApi);
  }
}(this, function(expect, UrlShortenerApi) {
  'use strict';

  var instance;

  describe('(package)', function() {
    describe('UserRequest', function() {
      beforeEach(function() {
        instance = new UrlShortenerApi.UserRequest();
      });

      it('should create an instance of UserRequest', function() {
        // TODO: update the code to test UserRequest
        expect(instance).to.be.a(UrlShortenerApi.UserRequest);
      });

      it('should have the property email (base name: "email")', function() {
        // TODO: update the code to test the property email
        expect(instance).to.have.property('email');
        // expect(instance.email).to.be(expectedValueLiteral);
      });

      it('should have the property pass (base name: "pass")', function() {
        // TODO: update the code to test the property pass
        expect(instance).to.have.property('pass');
        // expect(instance.pass).to.be(expectedValueLiteral);
      });

    });
  });

}));
